#
# spec file for package libhugetlbfs (Version 1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils doxygen e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libpng libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libhugetlbfs
BuildRequires:  doxygen
License:        LGPL
Group:          Development/Libraries/Other
Summary:        hugetlbfs helper library
Version:        1.0
Release:        16.2
URL:            http://libhugetlbfs.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %install_info_prereq
Source0:        http://mesh.dl.sourceforge.net/sourceforge/libhugetlbfs/libhugetlbfs-1.0-pre2.tar.gz
Patch0:         libhugetlbfs.install.patch
Patch1:         libhugetlbfs.ldscript-path.patch

%description
libhugetlbfs interacts with the Linux hugetlbfs to make large pages
available to applications in a transparent manner.



Authors:
--------
    David Gibson <dwg@au1.ibm.com>
    Adam Litke <agl@us.ibm.com>

%debug_package
%prep
%setup -q -n libhugetlbfs
%patch0 -p1
%patch1 -p1

%build
make V=1 CFLAGS="$RPM_OPT_FLAGS -fPIC" CC32=gcc CC64= PREFIX=/usr libs

%install
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%{_libdir}
%ifarch ppc ppc64 %ix86 x86_64
mkdir -p $RPM_BUILD_ROOT%{_libdir}/libhugetlbfs
%endif
%ifarch ppc
cp -avL ldscripts/*32ppc* $RPM_BUILD_ROOT%{_libdir}/libhugetlbfs
%endif
%ifarch ppc64
cp -avL ldscripts/*64ppc* $RPM_BUILD_ROOT%{_libdir}/libhugetlbfs
%endif
%ifarch %ix86
cp -avL ldscripts/*i386* $RPM_BUILD_ROOT%{_libdir}/libhugetlbfs
%endif
%ifarch x86_64
cp -avL ldscripts/*x86_64* $RPM_BUILD_ROOT%{_libdir}/libhugetlbfs
%endif
cp -avL */libhugetlbfs.so */libhugetlbfs.a $RPM_BUILD_ROOT%{_libdir}
cp -avL hugetlbfs.h $RPM_BUILD_ROOT/usr/include
cp -avL ld.hugetlbfs $RPM_BUILD_ROOT/usr/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc LGPL-2.1 HOWTO
/usr/include/*
%attr(755,root,root) /usr/bin/*
%{_libdir}/lib*

%changelog -n libhugetlbfs
* Tue Apr 18 2006 - olh@suse.de
- drop unneeded -packages from Buildrequires
* Sat Apr 08 2006 - olh@suse.de
- update to 1.0-pre2 (#142046 - LTC20562)
* Tue Feb 21 2006 - olh@suse.de
- remove backup files
* Tue Feb 21 2006 - olh@suse.de
- add linker scripts on ppc, ppc64, i386 and x86_64
* Thu Feb 09 2006 - olh@suse.de
- create package, version 1.0-pre1 (#142046 - LTC20562)
